Skip to main content
GET
/
v1
/
payments
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/payments
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z",
    "total_items": 123,
    "page_number": 123,
    "page_size": 123,
    "max_page_size": 123,
    "sort_by": "<string>",
    "sort_order": "asc",
    "total_pages": 123
  },
  "response_type": "object",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_type": "charge",
      "payment_date": "2023-12-25",
      "description": "Invoice payment for 100 widgets",
      "external_id": "<string>",
      "amount": "10000",
      "currency": "USD",
      "paykey": "<string>",
      "status": "created",
      "status_details": {
        "message": "Payment successfully created and awaiting validation.",
        "reason": "OK",
        "source": "system",
        "changed_at": "2023-11-07T05:31:56Z",
        "code": null
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "funding_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "trace_ids": {},
      "effective_at": "2023-11-07T05:31:56Z",
      "customer_details": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "Ron Swanson",
        "customer_type": "individual",
        "email": "ron@swanson.com",
        "phone": "+1234567890"
      },
      "paykey_details": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "label": "Bank of America ****1234",
        "balance": "100.00"
      },
      "funding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account id and set scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

page_number
integer<int32>
default:1

Results page number. Starts at page 1.

page_size
integer<int32>
default:100

Results page size. Max value: 1000

sort_by
enum<string>
default:id

The field to sort the results by.

Available options:
created_at,
payment_date,
effective_at,
id,
amount
sort_order
enum<string>
default:asc
Available options:
asc,
desc
payment_type
enum<string>[]

Search by the type of a charge or payout. Payment type.

The type of payment.

Available options:
charge,
payout
payment_status
enum<string>[]

Search by the status of a charge or payout. Payment status.

The current status of the charge or payout.

Available options:
created,
scheduled,
failed,
cancelled,
on_hold,
pending,
paid,
reversed,
validating
payment_id
string<uuid>

Search using the id of a charge or payout. Payment id.

external_id
string

Search using the external_id of a charge or payout. External id.

customer_id
string<uuid>

Search using the customer_id of a charge or payout. Customer id.

paykey_id
string<uuid>

Search using the paykey_id of a charge or payout. Paykey id.

paykey
string

Search using the paykey of a charge or payout. Paykey.

min_amount
integer<int32>

Search using the minimum amount of achargeorpayout`. Minimum amount.

max_amount
integer<int32>

Search using a maximum amount of a charge or payout. Maximum amount.

min_payment_date
string<date>

Search using the earliest of a charge or payout. Minimum payment date.

max_payment_date
string<date>

Search using the latest payment_date of a charge or payout. Maximum payment date.

min_created_at
string<date-time>

Search using the earliest created_at date of a charge or payout. Minimum created at.

max_created_at
string<date-time>

Search using the latest created_at date of a charge or payout. Maximum created at.

min_effective_at
string<date-time>

Search using the earliest effective_date of a charge or payout. Minimum effective at.

max_effective_at
string<date-time>

Search using the latest effective_date of a charge or payout. Maximum effective at.

funding_id
string<uuid>

Search using the funding_id of a charge or payout. Funding id.

search_text
string

Search using a text string associated with a charge or payout. Search text.

default_page_size
integer<int32>
default_sort
enum<string>
default:id

The field to sort the results by.

Available options:
created_at,
payment_date,
effective_at,
id,
amount
default_sort_order
enum<string>
default:asc
Available options:
asc,
desc
status_reason
enum<string>[]

Reason for latest payment status change.

Available options:
insufficient_funds,
closed_bank_account,
invalid_bank_account,
invalid_routing,
disputed,
payment_stopped,
owner_deceased,
frozen_bank_account,
risk_review,
fraudulent,
duplicate_entry,
invalid_paykey,
payment_blocked,
amount_too_large,
too_many_attempts,
internal_system_error,
user_request,
ok,
other_network_return,
payout_refused,
cancel_request,
failed_verification,
require_review,
blocked_by_system,
watchtower_review,
validating,
auto_hold
status_source
enum<string>[]

Source of latest payment status change.

Available options:
watchtower,
bank_decline,
customer_dispute,
user_action,
system
include_metadata
boolean

Include the metadata for payments in the returned data.

Response

OK

meta
object
required
response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required